Subject: Re: [MOBILE-IP] MIPv6 address conflict checking?

From: Thomas Eklund <[email-masked]>
Date: Mon, 13 Dec 1999 15:49:57 +0100

> -----Original Message-----
> From: Jon-Olov Vatn [mailto:[email-masked]]
> Sent: Monday, December 13, 1999 3:05 PM
> To: [email-masked]
> Subject: Re: [MOBILE-IP] MIPv6 address conflict checking?
>
>
> First, thanks for all the feedback, Francis and Thomas.
> It has helped me a lot.
>
> 13 December 1999 Francis Dupont wrote:
> > => the discussion was about is the DAD necessary or not. I
> believe your
> > easy trick is about how to recover from a conflict detected
> by the DAD
> > (there are plenty easy tricks in such a case, for instance a random
> > interface ID should near always work with less than one
> billion of nodes
> > are on the link :-).
>
> Sorry, I was not very clear in initial message, as my main concern
> is actually if a change of AP (and possibly IPv6 subnet) requires me
> to stop the communication until link layer address uniqueness has
> been verified. (Also, I should have pointed out that my concern is
> related to high speed wireless LANs, not WANs.)

In the wireless LAN case you change your move detection policy to cope with
several CoA but only having one as active (where you take your src adress
from) and then I would recommend the RA frequency in the magnitude bewteen 1
sec - 3 sec.
You then associate every prefix you hear with a ethernet segment (one
broadcast domain), you can associate every AP with one prefix or several AP
to one prefix. I would recommend that you have a VLAN switched
infrastructure and have subnetbased VLAN's (several AP per subnet). Then you
can benefit from the layer 2 mechanisms and have an efficient mobileIPv6
infrastructure.
When you are on a border:
            |                   |
MN  ->      |                   |
moves       |                   |
       1)You hear RP 2   2)Signal strength is to low so you switch to CoA2
       subnet 1            subnet 2

The infrastructure:
        Router (RP1)    Router (RP2)
           |                |
       -----------     ------------
      AP1 AP2 AP3      AP4 AP5 AP6

The mobile node moves to the left.
In 1) lets say that the mobile node have CoA 1 from the first subnet. It
also hears the adjacent subnet (i.e a new prefix in ND), the mobile node
then do not switch over immediatly, but it builds its CoA2 from subnet 2.
The mobile node then have two CoA in the kernel but only one is active (CoA1
is active). The mobile node then prepares the move to subnet two in advance
and autoconfigures the CoA2 and do a DAD on it in advance.

Then when the mobile node have moved further from the subnet 1 into 2), the
signal strength from subnet 2 is much stronger so a decision in the move
detection algorithm is taken (in this scenario the active CoA is based on
signal strength) to change the CoA. The CoA2 is already configured so the
mobile now switches CoA.

>
> I do not want to skip DAD, but if it leads to a gap in my
> communication
> of in the order of seconds each time I move to an AP on a different
> subnet, I would not be very happy?
Nopp. But there are ways to solve this, see above.

>
> I wonder if it in some cases would be ok to do it reactively
> and resolve
> the cases when a conflict actually occurs (note, I do not
> want to skip it)?
You can always send a neighbor solicitation from the mobile node. But that
does not help you if you dont know that you moved, in other words you would
send unecessary messages over the air (and that is as bad as having two high
frequency on RA in ND).

> Thus, if Thomas' or any other suggestion of how to resolve a conflict
> situation really works, it gives me the answer I was looking for (once
> again, apologize for not formulating my initial message very clear).
It worked for me..:-)

>
> Also, I'm I right if I say that hosts running Mobile IPv6
> could cope with
> a conflict situation better that other hosts? If a MN backs
> off and tries
> another address (e.g., using some random interface ID, which
> you mentioned),
> no higher layer connections need to be lost (in contrast to a
> "normal" host).
If you mean mobile IPv4 hosts this is mot true, because you can have the
same move detection policy there as well.

/Thomas Eklund, SwitchCore

---

From: Francis Dupont <[email-masked]>
Date: Mon, 13 Dec 1999 17:58:24 +0100

In your previous mail you wrote:

=> I still believe high RA frequency is not the best idea...

=> I agree but to have all APs in the same subnet with a high speed & wired
backbone is simpler. Perhaps because of the French regulations I wrongly
believe a wireless LAN should be rather small?

=> to have one subnet avoids the dedicated code for the signal strength stuff
(I don't know if it is so easy to get support for this for all IEEE 801.11
& co NIC drivers?)

Regards

[email-masked]